Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.rendered
Class TileGrid

    java.lang.Object
      org.apache.batik.ext.awt.image.rendered.TileGrid

All Implemented Interfaces:
  TileStore

public class TileGrid
extends java.lang.Object
implements TileStore

This is a Grid based implementation of the TileStore. This makes it pretty quick, but it can use a fair amount of memory for large tile grids.

Constructor Summary
`TileGrid(int minTileX, int minTileY, int xSz, int ySz, TileGenerator source, LRUCache cache)`

Method Summary
`java.awt.image.Raster` | `getTile(int x, int y)`
`java.awt.image.Raster` | `getTileNoCompute(int x, int y)`
`void` | `setTile(int x, int y, java.awt.image.Raster ras)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TileGrid

    public TileGrid(int minTileX,
                    int minTileY,
                    int xSz,
                    int ySz,
                    TileGenerator source,
                    LRUCache cache)

Method Detail

### setTile

    public void setTile(int x,
                        int y,
                        java.awt.image.Raster ras)

  Specified by:
    `setTile` in interface `TileStore`

### getTileNoCompute

    public java.awt.image.Raster getTileNoCompute(int x,
                                                  int y)

  Specified by:
    `getTileNoCompute` in interface `TileStore`

### getTile

    public java.awt.image.Raster getTile(int x,
                                         int y)

  Specified by:
    `getTile` in interface `TileStore`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.